import BaseSchema from '@ioc:Adonis/Lucid/Schema'

export default class extends BaseSchema {
    protected tableName = 'users'

    public async up() {
        this.schema.alterTable(this.tableName, (table) => {
            table.dropForeign('invitor')
            table.dropColumn('invitor')
            table.integer('referrer').unsigned().nullable().references('id').inTable('users')
        })
    }
}
